DSPTRS(3f)

NAME
DSPTRS - a system of linear equations A*X = B with a real symmetric matrix A stored in packed format using the factorization A = U*D*U**T or A = L*D*L**T computed by DSPTRF

SYNOPSIS

SUBROUTINE DSPTRS(
    UPLO, N, NRHS, AP, IPIV, B, LDB, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDB, N, NRHS

INTEGER
    IPIV( * )

DOUBLE
    PRECISION AP( * ), B( LDB, * )

PURPOSE
DSPTRS solves a system of linear equations A*X = B with a real symmetric matrix A stored in packed format using the factorization A = U*D*U**T or A = L*D*L**T computed by DSPTRF.

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies whether the details of the factorization are stored as an upper or lower triangular matrix. = 'U': Upper triangular, form is A = U*D*U**T;
    = 'L': Lower triangular, form is A = L*D*L**T.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

AP      (input) DOUBLE PRECISION array, dimension (N*(N+1)/2)
    The block diagonal matrix D and the multipliers used to obtain the factor U or L as computed by DSPTRF, stored as a packed triangular matrix.

IPIV    (input) INTEGER array, dimension (N)
    Details of the interchanges and the block structure of D as determined by DSPTRF.

B       (input/output) DOUBLE PRECISION array, dimension (LDB,NRHS)
    On entry, the right hand side matrix B. On exit, the solution matrix X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value